# $Revision: 1.6 $, $Date: 2006/06/17 12:15:22 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	PathTools
Summary:	Get pathname of current working directory
Summary(pl):	Pobieranie cieki biecego katalogu
Name:		perl-PathTools
Version:	3.18
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/K/KW/KWILLIAMS/%{pdir}-%{version}.tar.gz
# Source0-md5:	3fcc94000117ca37d5726781a4364da8
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PathTools merges Cwd and File::Spec into a single distribution.
This was done because the two modules use each other fairly extensively,
and extracting the common stuff into another distribution was deemed
nigh-impossible.

Cwd provides functions for determining the pathname of the current
working directory.  It is recommended that getcwd (or another *cwd()
function) be used in _all_ code to ensure portability.

File::Spec is designed to support operations commonly performed on file
specifications (usually called "file names", but not to be confused with
the contents of a file, or Perl's file handles), such as concatenating
several directory and file names into a single path, or determining
whether a path is rooted.

%description -l pl
PathTools czy Cwd i File::Spec w jeden pakiet. Zosta zrobiony
poniewa te dwa moduy uywaj intensywnie siebie nawzajem i
wycignicie wsplnego kodu do oddzielnego pakietu zostao uznane za
prawie niemoliwe.

Cwd dostarcza funkcje do okrelania cieki biecego katalogu.
Zalecane jest uywanie getcwd (lub innej funkcji *cwd()) w _caym_
kodzie dla zapewnienia przenonoci.

File::Spec jest zaprojektowany do obsugi operacji zwykle
przeprowadzanych na okreleniach plikw (zwykle nazywanych "nazwami
plikw", ktrych nie naley myli z zawartoci plikw czy perlowymi
uchwytami plikw), takich jak czenie kilku katalogw i nazw plikw w
pojedyncz ciek albo okrelanie czy cieka jest podana wzgldem
gwnego katalogu.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT{%{perl_vendorarch}/File/Spec/,%{_mandir}/man3/File::Spec::}{Cygwin,Epoc,Mac,OS2,VMS,Win32}*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/*.pm
%{perl_vendorarch}/File/Spec*
%dir %{perl_vendorarch}/auto/Cwd
%{perl_vendorarch}/auto/Cwd/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Cwd/*.so
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PathTools.spec,v $
Revision 1.6  2006/06/17 12:15:22  radek
- version 3.18, STBR

Revision 1.5  2005/11/02 11:07:55  czucz
- updated to 3.12

Revision 1.4  2005/07/23 23:49:44  radek
- version 3.09, License, -BR:perl-Test-Simple, rm modules for other systems

Revision 1.3  2004/12/01 10:13:43  radek
- standarized Source0 URL

Revision 1.2  2004/11/20 15:02:57  qboosh
- pl

Revision 1.1  2004/11/19 13:36:22  radek
- new, nfy
